mclock
Prev | Orchestra Opcodes and Operators | Next

## mclock

mclock — Sends a MIDI CLOCK message.

## Description

Sends a MIDI CLOCK message.

## Syntax

    mclock ifreq

## Initialization

ifreq -- clock message frequency rate in Hz

## Performance

Sends a MIDI CLOCK message (0xF8) every 1/ifreq seconds. So ifreq is the frequency rate of CLOCK message in Hz.

## See Also

mrtmsg

## Examples

Here is an example of the mclock opcode. It uses the file mclock.csd.

Example 558. Example of the mclock opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -Q0   ;;;midi out
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1	;let csound synchronize a sequencer

    mclock 24

    endin

    </CsInstruments>
    <CsScore>

    i 1 0 30
    e
    </CsScore>
    </CsoundSynthesizer>

## Credits

Author: Gabriel Maldonado
Italy

New in Csound version 3.47

Prev | Up | Next
maxarray | Home | mdelay